import MTimer from "../Global/MTimer";

export default abstract class GameMgr {
    constructor(private name: string) { }
    public onInit(): void {
        MTimer.onFrame(this.name, this.onUpdate, this);
    }
    public onDestroy() {
        MTimer.removeOnFrame(this.name);
    }
    protected onUpdate(dt: number) {

    }
    public pause: boolean = false
}